routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Nos mostrará el formulario de login.
Route::get('/', 'Auth\LoginController@showLogin');

// Validamos los datos de inicio de sesión.
Route::post('/validar', 'Auth\LoginController@validarLogin');

    // Esta será nuestra ruta de bienvenida.
Route::get('dashboard', 'DashboardController@index');
Route::get('/busqueda/{busqueda}', 'DashboardController@busquedaTicket');
Route::get('/resultados', 'DashboardController@busqueda')->name('ticket.busqueda');


    // Esta será nuestra ruta de bienvenida.
Route::post('dashboard', 'DashboardController@indexFecha');
    // Esta ruta nos servirá para cerrar sesión.
Route::get('logout', 'Auth\LoginController@logOut');

    //Esta ruta es para crear cliente
    Route::resource('cliente', 'ClienteController');
    //ruta para desactivar y activar clientes
    Route::get('cliente/desactivar/{id}', 'ClienteController@desactivar');
    Route::get('cliente/activar/{id}', 'ClienteController@activar');

    //Rutas para marcas
    Route::resource('marca', 'MarcaController');
    //ruta para desactivar y activar marca
    Route::get('marca/desactivar/{id}', 'MarcaController@desactivar');
    Route::get('marca/activar/{id}', 'MarcaController@activar');
    Route::get('marca/validateNombre/{nombre}', 'MarcaController@validateNombre');

    //Esta ruta es para crear rma
    Route::resource('rma', 'RmaController');
    Route::get('/archivadosrma', 'RmaController@indexArchivados')->name('archivados');
    //Esta ruta es para crear rma
    Route::get('rma/historial/{id}', 'RmaController@historial');
    //ruta para formulario de entrada
    Route::get('entrada', 'RmaController@createE');
    //ruta para formulario de salida
    Route::get('salida', 'RmaController@createS');

    //Rutas para usuarios
    Route::resource('usuario', 'UsuarioController');
    //ruta para desactivar y activar usuario
    Route::get('usuario/desactivar/{id}', 'UsuarioController@desactivar');
    Route::get('usuario/activar/{id}', 'UsuarioController@activar');
    Route::get('usuario/validateUsername/{username}', 'UsuarioController@validateUsername');
    Route::get('usuario/validateCorreo/{email}', 'UsuarioController@validateCorreo');

    //Rutas para empresas
    Route::resource('empresa', 'EmpresaController');
    //ruta para desactivar y activar empresa
    Route::get('empresa/desactivar/{id}', 'EmpresaController@desactivar');
    Route::get('empresa/activar/{id}', 'EmpresaController@activar');
    Route::get('empresa/validateNombre/{nombre}', 'EmpresaController@validateNombre');


    //Esta ruta es para crear prioridades
    Route::resource('prioridad', 'PrioridadController');
    Route::get('prioridad/validateNombre/{nombre}', 'PrioridadController@validateNombre');

    //Esta ruta es para crear tipos de contrato
    Route::resource('tipoContrato', 'TipoContratoController');
    //ruta para desactivar y activar empresa
    Route::get('tipoContrato/desactivar/{id}', 'TipoContratoController@desactivar');
    Route::get('tipoContrato/activar/{id}', 'TipoContratoController@activar');
    Route::get('tipoContrato/validateNombre/{nombre}', 'TipoContratoController@validateNombre');

    //Esta ruta es para crear contratos
Route::resource('contrato', 'ContratoController');
    //Esta ruta es para crear Ticekts
Route::resource('ticket', 'TicketController');

Route::get('/seleccionarCliente/{id}/{emmpresa}', 'ClienteController@seleccion');
Route::get('/unSeleccionarCliente/{id}/{empresa}', 'ClienteController@unSeleccion');
Route::delete('/eliminar_ticket/{id}', 'TicketController@eliminarTicket')->name('ticket.eliminar');
Route::get('/RecordatorioCorreo', 'MailRememberController@recordarRespuesta');//ruta para correos persistentes de recordatorio de respuesta
    //Ruta para obtener todos los mails ingresados por correo
    Route::get('/mails', 'TicketController@tickets_mails');

    //Ruta para obtener todos los mails ingresados por correo
    Route::get('/todos', 'TicketController@allTickets');
        //Esta ruta es para ver los tickets ingresados validados
    Route::get('/ingresados', 'TicketController@tickets_ingresados');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/revision', 'TicketController@tickets_revision');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/proceso', 'TicketController@tickets_proceso');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/respuesta', 'TicketController@tickets_respuesta');
        //Esta ruta es para ver los tickets ingresados que estan en revision
    Route::get('/cerrado', 'TicketController@tickets_cerrado');
    // tickets re abiertos
    Route::get('/re-abierto', 'TicketController@tickets_reabierto');

    //Esta ruta es para crear Ticekts
Route::post('/estadoTicket', 'TicketController@updateHistorico');
    //Esta ruta es para ver los tickets archivados
Route::get('/ticketArchivados', 'TicketController@archivados');
    //Esta ruta es para ver los tickets ingresados por correo
Route::get('/ticketMail', 'TicketController@indexMails');
    //Ruta para validar ticket desde el correo
Route::get('validar/{id}', 'TicketController@validar');
//valida i el ticketya esta siendo trabajado
Route::get('trabajoTicket/{id}', 'TicketController@insertarTiempoInicio');
    //Ruta para enviar correos
Route::get('mail/send', 'TicketController@send');
    //Ruta para enviar correos
Route::get('mail', 'TicketControllmailer@send1');
    //Ruta para enviar correos
Route::get('send', 'TicketController@enviar');
    // ruta para exportar pdf
Route::get('/customers/pdf','ClienteController@export_pdf');
    // ruta para obtener el listado de notificaciones
Route::get('listaNotificaciones', 'TicketController@notificaciones');

    // ruta para obtener el listado de ticket programados
Route::get('listaProgramados', 'RecordarNotificacionesController@programados');
    // ruta para obtener el listado de ticket programados por frecuencia
Route::get('/ticketProgramado', 'RecordarNotificacionesController@ticketFrecuencia');
    // ruta para obtener el listado de ticket programados
Route::get('listadoAbiertos', 'TicketController@listaAbiertos');
Route::get('/actualizarVistos', 'TicketController@actualizarVisto');

Route::get('notificacionesSistema', 'TicketController@notificacionesSistema');
Route::get('/notificacionVista/{id}', 'TicketController@actualizarNotificacionesVista');
Route::get('/notificacionVistaTecnico/{id}', 'TicketController@actualizarNotificacionesVistaTecnico');

    // ruta para actualizar el tiempo
Route::get('updateTiempo/{id}/{tiempo}', 'TicketController@updateTiempo');

Route::get('select_clientes/{id}', 'TicketController@clientes');
Route::get('select_info/{id}', 'TicketController@cliente_info');



Auth::routes();

app/tipoContrato.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class tipoContrato extends Model
{
    /**
     * The table associated with the model.
     * 
     * @var string
     */
    protected $table = 'tipocontrato';

    /**
     * The primary key for the model.
     * 
     * @var string
     */
    protected $primaryKey = 'idtipoContrato';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['nombre','descripcion','prioridadticket_idprioridadticket','color',
    ];

    public function prioridad()
    {
        return $this->belongsTo('App\prioridad', 'prioridadticket_idprioridadticket', 'idPrioridadTicket');
    }

    public function is_delete()
    {
        $contrato   = $this->hasMany('App\contrato','TipoContrato_idtipoContrato','idtipoContrato')->count();
        $empresa    = $this->hasMany('App\empresa','idtipocontrato','idtipoContrato')->count();

        if ($contrato || $empresa) {
            return false;
        }else{
            return true;
        }
    }
}

app/Http/Controllers/TipoContratoController.php
<?php

namespace App\Http\Controllers;

use App\prioridad;
use App\tipoContrato;
use Illuminate\Http\Request;

class TipoContratoController extends Controller
{
    public function __construct() { 
        $this->middleware('preventBackHistory'); 
        $this->middleware('auth'); 
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $tipoContratos=tipoContrato::orderBy('idtipoContrato','DESC')->paginate(5);
        return view('TipoContrato.index',compact('tipoContratos')); 
    }

    public function validateNombre($nombre){
        $tipo = tipoContrato::where('nombre',$nombre)->count();

        if($tipo){ return 1; }else{ return 0; }
    }
 
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $prioridades = prioridad::all( ['idPrioridadTicket','nombre'] );
        return view('TipoContrato.create', compact('prioridades'));
    }
 
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $this->validate($request,[
            'nombre'                            =>'required|unique:tipocontrato,nombre', 
            'descripcion'                       =>'required', 
            'prioridadticket_idprioridadticket' =>'required|exists:prioridadticket,idPrioridadTicket', 
            'color'                             =>'required'
        ],[
            'nombre.required'                           => 'Campo requerido',
            'nombre.unique'                             => 'El nombre ya existe',
            'descripcion.required'                      => 'Campo requerido',
            'prioridadticket_idprioridadticket.exists'  => 'La prioridad seleccionada no existe',
            'color.required'                            => 'Campo requerido'
        ]);
        tipoContrato::create($request->all());
        return redirect()->route('tipoContrato.index')->with('success','Registro creado satisfactoriamente');
    }
 
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $libros= tipoContrato::find($id);
        return  view('TipoContrato.show',compact('libros'));
    }
 
    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $prioridades = prioridad::all( ['idPrioridadTicket','nombre'] );
        $tipoContrato= tipoContrato::find($id);
        return view('TipoContrato.edit',compact('tipoContrato'))->with('prioridades', $prioridades);
    }
 
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)    {
        //
        $this->validate($request,['nombre'=>'required', 'descripcion'=>'required', 'prioridadticket_idprioridadticket'=>'required', 'color'=>'required']);
 
        tipoContrato::find($id)->update($request->all());
        return redirect()->route('tipoContrato.index')->with('success','Registro actualizado satisfactoriamente');
 
    }
 
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        tipoContrato::find($id)->delete();
        return redirect()->route('tipoContrato.index')->with('success','Registro eliminado satisfactoriamente');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function desactivar($id)
    {
        //
        $tipoContrato = tipoContrato::find($id);

        $tipoContrato->estado = 2;

        $tipoContrato->save();

        return redirect()->back()->with('success','Tipo de Contrato Deshabilitada');
    }

    public function activar($id)
    {
        //
        $tipoContrato = tipoContrato::find($id);

        $tipoContrato->estado = 1;

        $tipoContrato->save();

        return redirect()->back()->with('success','Tipo de Contrato Activada');
    }
}

resources/views/TipoContrato/create.blade.php
@extends('Layout.layout')

@section('content')
<div id="base">
<div class="row">
	<section class="content" id="content">
		<div class="col-md-8 col-md-offset-2">
			<div class="section-header">
	            <ol class="breadcrumb">
	               <li><a href="{{ route('tipoContrato.index') }}">Lista de Tipos de Contrato</a></li>
	              <li class="active">Nuevo Tipo de Contrato</li>
	            </ol>
          	</div>
			@if (count($errors) > 0)
			<div class="alert alert-danger">
				<strong>Error!</strong> Revise los campos obligatorios.<br>
			</div>
			@endif
			@if(Session::has('success'))
			<div class="alert alert-info">
				{{Session::get('success')}}
			</div>
			@endif

			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title">Nuevo Tipo de Contrato</h3>
				</div>
				<div class="panel-body">
					<div class="table-container">
						<form method="POST" action="{{ route('tipoContrato.store') }}"  role="form" id="accion_form">
							{{ csrf_field() }}
							<div class="row">
								<div class="col-xs-6 col-sm-6 col-md-6">
									<div class="form-group">
										<label>Nombre</label>
										<input type="text" name="nombre" id="nombre" value="{{ old('nombre') }}" class="form-control input-sm">
										<p style="color: red;" id="text-nombre">
											@if($errors->first('nombre'))
												{{ $errors->first('nombre') }}
											@else
												Campo Requerido
											@endif
										</p>
									</div>
								</div>
								<div class="col-xs-6 col-sm-6 col-md-6">
									<div class="form-group">
										<label>Color</label>
										<input type="color" name="color" value="{{ old('color') }}" class="form-control input-sm">
										<p style="color: red;">{{ $errors->first('color') }}</p>
									</div>
								</div>
							</div>
							<div class="form-group">
								<label>Descripción</label>
								<textarea name="descripcion" class="form-control input-sm">{{ old('descripcion') }}</textarea>
								<p style="color: red;" id="text-nombre">
									@if($errors->first('descripcion'))
										{{ $errors->first('descripcion') }}
									@else
										Campo Requerido
									@endif
								</p>
							</div>
							<div class="row">
								<div class="col-xs-4 col-sm-4 col-md-4">
									<div class="form-group">
										<label for="prioridadticket_idprioridadticket">Prioridades</label>
										<select id="prioridadticket_idprioridadticket" onchange="select()" name="prioridadticket_idprioridadticket" class="form-control">
											<option value="0">seleccione tipo de prioridad</option>
											@if($prioridades->count())
												@foreach($prioridades as $list)
												 	<option value="{{ $list->idPrioridadTicket}}">{{ $list->nombre }}</option>
												@endforeach
											@endif
										</select>
										<p style="color: red;">{{ $errors->first('prioridadticket_idprioridadticket') }}</p>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-6 col-sm-6 col-md-6 col-md-offset-3">
									<input type="submit"  value="Guardar" class="btn btn-success btn-block">
								</div>
							</div>
						</form>
					</div>
				</div>

			</div>
		</div>
	</section>
</div>
@endsection

@section('script')
<script src="{{ asset('js/notify.js')}}"></script>
<script src="{{ asset('js/notificaciones.js')}}"></script>
<script>
	$("#nombre").on("keyup", function(){
		if ($(this).val() == "") {
			$('#text-nombre').text('Campo requerido')
		}else{
			$.ajax({
				type: 'GET',
				url: '/tipoContrato/validateNombre/'+$('#nombre').val(),
				data: $(this).serialize(),
				success: function(data) {
					if (data == 1){
						$('#text-nombre').text('El tipo contrato ya existe');
					}else{
						$('#text-nombre').text('');
					}
				}
			});
		}
	});
</script>
@endsection

resources/views/TipoContrato/edit.blade.php
@extends('Layout.layout')
@section('content')
<div id="base">
    <div class="row">
        <section class="content" id="content">
            <div class="col-md-8 col-md-offset-2">
                <div class="section-header">
                    <ol class="breadcrumb">
                        <li><a href="{{ route('tipoContrato.index') }}">Lista de Tipos de Contrato</a></li>
                        <li class="active">Actualizar Tipo de Contrato</li>
                    </ol>
                </div>
                @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Error!</strong> Revise los campos obligatorios.<br>
                </div>
                @endif
                @if(Session::has('success'))
                <div class="alert alert-info">
                    {{Session::get('success')}}
                </div>
                @endif

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">Actualizar Tipo de Contrato</h3>
                    </div>
                    <div class="panel-body">
                        <div class="table-container">
                            <form method="POST"
                                action="{{ route('tipoContrato.update',$tipoContrato->idtipoContrato) }}"
                                onsubmit="guardar(event,this)" role="form" id="accion_form">
                                {{ csrf_field() }}
                                <input name="_method" type="hidden" value="PATCH">
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="nombre" id="nombre"
                                                value="{{ $tipoContrato->nombre }}" class="form-control input-sm"
                                                placeholder="Nombre">
                                            <p style="color: red;">{{ $errors->first('nombre') }}</p>
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="color" name="color" id="color" value="{{$tipoContrato->color}}"
                                                class="form-control input-sm" placeholder="Color">
                                            <p style="color: red;">{{ $errors->first('color') }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <textarea name="descripcion" class="form-control input-sm"
                                        placeholder="Descripcion">{{$tipoContrato->descripcion}}</textarea>
                                    <p style="color: red;">{{ $errors->first('descripcion') }}</p>
                                </div>
                                <div class="row">
                                    <div class="col-xs-4 col-sm-4 col-md-4">
                                        <div class="form-group">

                                            <label for="prioridadticket_idprioridadticket">Prioridades</label>
                                            <select id="prioridadticket_idprioridadticket"
                                                name="prioridadticket_idprioridadticket" class="form-control">
                                                @if($prioridades->count())
                                                @foreach($prioridades as $list)
                                                <option value="{{ $list->idPrioridadTicket}}"
                                                    {{ ($list->idPrioridadTicket == $tipoContrato->prioridadticket_idprioridadticket) ? 'selected' : '' }}>
                                                    {{ $list->nombre }}</option>
                                                @endforeach
                                                @endif
                                            </select>

                                        </div>
                                    </div>
                                    <p style="color: red;">{{ $errors->first('prioridadticket_idprioridadticket') }}</p>
                                </div>
                                <div class="row">

                                    <div class="col-xs-6 col-sm-6 col-md-6 col-md-offset-3">
                                        <input type="submit" value="Guardar" class="btn btn-success btn-block">
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </section>
    </div>
    @endsection

    @section('script')

    <script src="{{ asset('js/notify.js')}}"></script>
    <script src="{{ asset('js/notificaciones.js')}}"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        function guardar(e,form){
        e.preventDefault();
        swal({
          title: "Esta seguro de actualizar la informacion?",
          icon: "warning",
          buttons: ["Confirmar", "Cancelar"],
          dangerMode: true,
        }).then((willDelete) => {
          if (!willDelete) {
  			form.submit();
          } else {
            return false;
          }
        });
    }
    </script>
    @endsection

resources/views/TipoContrato/index.blade.php
@extends('Layout.layout')
@section('content')
<!-- BEGIN BASE-->
  <div id="base">
    <div class="row">
      <section class="content" id="content">
        @if(Session::has('success'))
          <div class="alert alert-info">
            {{Session::get('success')}}
          </div>
        @endif
        <div class="col-md-12">
          <div class="panel panel-default">
            <div class="panel-body">
            <div class="row">
                <div class="col-md-12">
                  <div class="pull-left"><h3>Lista de tipo Contratos</h3></div>
                  <div class="pull-right">
                    <div class="btn-group">
                      <a href="{{ route('tipoContrato.create') }}" class="btn btn-info" >Crear Tipo de Contrato</a>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12">
                  <div class="table-container">
                    <div class="table-responsive">
                      <table id="mytable" class="table table-bordred table-striped">
                        <thead>
                          <th>Nombre</th>
                          <th>Descripción</th>
                          <th>Fecha de Creación</th>
                          <th>Prioridad</th>
                          <th>Tiempo max días abierto</th>
                        </thead>
                        <tbody>
                          @if($tipoContratos->count())
                            @foreach($tipoContratos as $tipoContrato)
                              <tr>
                                <td id="tipo-{{$tipoContrato->idtipoContrato}}">{{$tipoContrato->nombre}}</td>
                                <td width="40%" >{{$tipoContrato->descripcion}}</td>
                                <td width="15%">{{$tipoContrato->created_at}}</td>
                                <td>
                                  <div style="width: 100%; padding: 10px;">
                                    <span style=" padding: 1em; border: 2px solid {{$tipoContrato->color}}; border-radius: 5px;">
                                      {{$tipoContrato->prioridad->nombre}}
                                    </span>
                                  </div>
                                </td>
                                <td>{{$tipoContrato->prioridad->tiempoMaximoContacto}}</td>
                                <td>
                                  <div class="row">
                                    <div class="col-md-4 col-xs-4">
                                      <a class="btn btn-primary btn-xs" data-toggle="tooltip" data-placement="top" data-original-title="Editar Tipo de contrato" href="{{action('TipoContratoController@edit', $tipoContrato->idtipoContrato)}}" onclick="editar(event,this)"  ><span class="glyphicon glyphicon-pencil"></span></a>
                                    </div>
                                    @if($tipoContrato->idtipoContrato != 1)
                                    <div class="col-md-4 col-xs-4">
                                      @if($tipoContrato->estado == 1)
                                        <a onclick="act_inac({{$tipoContrato->idtipoContrato}},0)" class="btn btn-primary btn-xs" data-toggle="tooltip" data-placement="top" data-original-title="Desactivar Tipo Contrato">
                                          <span class="md md-block"></span>
                                        </a>
                                      @else
                                        <a onclick="act_inac({{$tipoContrato->idtipoContrato}},1)" class="btn btn-primary btn-xs" data-toggle="tooltip" data-placement="top" data-original-title="Activar Tipo Contrato">
                                          <span class="md md-check"></span>
                                        </a>
                                      @endif
                                    </div>
                                    <div class="col-md-4 col-xs-4">
                                      @if($tipoContrato->is_delete())
                                        <form action="{{action('TipoContratoController@destroy', $tipoContrato->idtipoContrato)}}" onclick="borrar(event,this)" method="post">
                                          {{csrf_field()}}
                                          <input name="_method" type="hidden" value="DELETE">
                                          <button class="btn btn-danger btn-xs" data-toggle="tooltip" data-placement="top" data-original-title="Eliminar Tipo de Contrato" type="submit"><span class="glyphicon glyphicon-trash"></span></button>
                                        </form>
                                      @endif
                                    </div>
                                    @endif
                                  </div>
                                </td>
                              </tr>
                            @endforeach
                          @else
                            <tr>
                              <td colspan="8">No hay registro !!</td>
                            </tr>
                          @endif
                        </tbody>
                      </table>
                    </div>
                  </div>
                  {{ $tipoContratos->links() }}
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

@endsection

@section('script')
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
  function borrar(e,form){
    e.preventDefault();
    swal({
      title: "Confirmar eliminación de registro?",
      icon: "warning",
      buttons: ["Confirmar", "Cancelar"],
      dangerMode: true,
    }).then((willDelete) => {
      if (!willDelete) {
        form.submit();
      } else {
        return false;
      }
    });
  }

        function editar(e,href){
        e.preventDefault();
        swal({
          title: "Seguro que quieres editar este registro?",
          icon: "warning",
          buttons: ["Confirmar", "Cancelar"],
          dangerMode: true,
        }).then((willDelete) => {
          if (!willDelete) {
            window.location.href = href.href;
          } else {
            return false;
          }
        });
      }

  function act_inac(id,value){
    var title = 'Activar';
    var url   = 'activar';
    if (!value) {
      title = 'Desactivar';
      url   = 'desactivar';
    }
    swal({
      title: 'Está usted seguro de '+title+' el tipo contrato "'+ $('#tipo-'+id).text() +'"?',
      icon: "warning",
      buttons: ["Confirmar", "Cancelar"],
      dangerMode: true,
    }).then((willDelete) => {
      if (!willDelete) {
        window.location.href = "/tipoContrato/"+url+'/'+id;
      } else {
        return false;
      }
    });
  }
</script>
<script src="{{ asset('js/notify.js')}}"></script>
<script src="{{ asset('js/notificaciones.js')}}"></script>
@endsection